\documentclass[ngerman,
	a4paper,     %% defines the paper size: a4paper (default), a5paper, letterpaper, ...
	oneside,     %% changes to a two-page-layout (alternatively: oneside)
	12pt,         %% set default font size to 11 point
	%autooneside,
	% headsepline, %% add a horizontal line below the column title
	%footsepline, %% add a horizontal line above the page footer
	parskip,     %% insert an empty line between two paragraphs (alternatively: halfparskip, ...)
	% leqno,       %% equation numbers left (instead of right)
	fleqn,       %% equation left-justified (instead of centered)
	tablecaptionabove, %% captions of tables are above the tables (alternatively: tablecaptionbelow)
	bibliography=totoc,index=totoc,listof=totoc, %Literaturverzeichnis usw auch in die Inhaltsangabe
	BCOR=10mm,
	% draft,       %% produce only a draft version (mark lines that need manual edition and don't show graphics)
]{scrreprt}  %% article, see KOMA documentation (scrguide.dvi)

\usepackage[ngerman]{babel}
\usepackage{blindtext}

% inputenc: coding of german special characters
\usepackage[utf8]{inputenc}

%%% fontenc, ae, aecompl: coding of characters in PDF documents
\usepackage[T1]{fontenc}
%\usepackage{ae,aecompl}
\usepackage{lmodern}

% Für oft geforderte 1,5 Zeilenhöhe
\usepackage{setspace}
\onehalfspacing

% natbib für deutsche Zitate
% \usepackage[numbers,sort&compress,super]{natbib}
\usepackage[]{natbib}

\usepackage{import}

\makeatletter
\newcommand\cellwidth{\TX@col@width}
\makeatother

% source Code darstellen
\usepackage[formats]{listings}
\lstdefineformat{Java}
{
	\{=\newline\string\newline\indent,%
	\}=\newline\noindent\string\newline,%
	;=[\ ]\string\space,%
	}
\usepackage{color, colortbl}
% Tabellenfarben
\definecolor{TableGreen}{rgb}{0.25,0.5,0.35}

\definecolor{javared}{rgb}{0.6,0,0} % for strings
\definecolor{javagreen}{rgb}{0.25,0.5,0.35} % comments
\definecolor{javapurple}{rgb}{0.5,0,0.35} % keywords
\definecolor{javadocblue}{rgb}{0.25,0.35,0.75} % javadoc
\lstset{language=Java,
	format=Java,
	basicstyle=\ttfamily,
	keywordstyle=\color{javapurple}\bfseries,
	stringstyle=\color{javared},
	commentstyle=\color{javagreen},
	morecomment=[s][\color{javadocblue}]{/**}{*/},
	numbers=left,
	numberstyle=\tiny\color{black},
	stepnumber=1,
	numbersep=10pt,
	tabsize=4,
	showspaces=false,
	showstringspaces=false,
	breaklines=true,
	breakatwhitespace=true,
	frame=single,
	}

%% Copyrights
% graphicx mus bei Verwendung auskommentiert werden
% ohne textcomp gab es warning
\usepackage{textcomp}
\usepackage{caption, copyrightbox}
% Schriftart für copyrights ändern, da es sonst Warnung
% gab wegen deprecated Schriftart
\makeatletter
\renewcommand{\CRB@setcopyrightfont}{%
\footnotesize
\color{gray!70}
\usefont{T1}{phv}{m}{n}
}
\makeatother

\usepackage{tabularx, longtable, multirow, makecell}

\usepackage{units}

\makeatletter
    \@ifpackageloaded{tex4ht}{
      \usepackage[dvips]{color,graphicx}
      \usepackage[tex4ht,colorlinks,allcolors = black]{hyperref}
	}
	{
      \usepackage[colorlinks,allcolors = black]{hyperref}
	}
\makeatother

\usepackage{enumitem} %For list environments
\setlist{itemsep=-1em,topsep=-1em}

\usepackage[babel=true,strict=true,german=quotes,threshold=1]{csquotes}

\usepackage{amsmath}
\numberwithin{equation}{section}

\usepackage{scrpage2}

\usepackage[noabbrev]{cleveref}

%%% scrheadings default:
%%%      footer - middle: page number
\pagestyle{scrheadings}

% loescht voreingestellte Stile
\clearscrheadfoot

% Was steht wo...
\begin{document}

\input{inputs/inp_titlepage_kolleg.tex}

\def \currentAuthor {}

\makeatletter
\let\newtitle\@title
\let\newauthor\@author
\let\newdate\@date
\makeatother

% Muss in der Reihenfolge stehen!:
\automark[subsection]{section}
\ihead{\newtitle}


\newcaptionname{ngerman}{\lstlistlistingname}{Quelltexte} %Table of listings
\newcaptionname{ngerman}{\lstlistingname}{Quelltext}      %Listing
\lstMakeShortInline[columns=fixed]|

\maketitle

\tableofcontents

\listoffigures

\listoftables

\input{inputs/inp_content.tex}

\bibliographystyle{dinat}
\bibliography{Literatur_Verzeichnis}


\end{document}